<!DOCTYPE html>
<html>
	<head>
		<title>SofEng Code</title>
	</head>
	<body>
		<p>
		<em>Science and Engineering Ethics (2001) 7, 231-238</em>
		</p>

		<hr />

		<h1>
			Software Engineering Code of Etics and 
			<br />
			Professional Practice
		</h1>

		<h4>
			IEEE-CS/ACM Joint Force on Software Engineering Ethics and Professional 
			<br />
			Practices
		</h4>

		<hr />

		<p>
			<strong>Keyword:</strong>
			code of ethics, professional responsibility, software engineering.
		</p>

		<h4>PREAMBLE</h4>

		<p>The short version of the code summarizes aspirations at a high level of abstractions. The clause that
		<br />
		are included in the full version give example and details of how these aspirations change the way we
		<br />
		act as software engineering professionals. Without the aspirations, the details can become legalistic
		<br />
		and tedious; without the details, the aspirations can become high-sounding but empty; together, the
		<br />
		aspirations and the details form a cohesive code.</p>

	</body>
</html>